Not trusted in Chrome on Windows XP


#1

Letsencrypt intermediate is not trusted in Chrome 46 running on Windows XP. It also does’nt work in IE8, but that is in other topic.




#2

yup LE certs won’t work with WinXP see Which browsers and operating systems support Let’s Encrypt


#3

This might get fixed in the future with a new intermediate certificate that works on XP, but there’s no ETA.


#4

well then, fingers crossed :slight_smile: